> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Gets an account.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json get /v1/accounts/{accountId}
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}:
    get:
      tags:
        - accounts
      summary: Get account
      description: Gets an account.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAccountResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetAccountResponse:
      required:
        - id
        - name
        - callbackUri
        - billingAddress
        - billingEmailAddress
        - technicalEmailAddress
        - culture
        - paymentPlan
        - isEventGenerationEnabled
        - taxId
        - credits
        - lowCreditsThreshold
        - autoTopUpCredits
        - paymentMethodType
        - paymentMethodClue
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        callbackUri:
          type:
            - 'null'
            - string
          format: uri
        billingAddress:
          $ref: '#/components/schemas/Address'
        billingEmailAddress:
          type: string
        technicalEmailAddress:
          type: string
        culture:
          $ref: '#/components/schemas/CultureInfo'
        paymentPlan:
          $ref: '#/components/schemas/PaymentPlan'
        isEventGenerationEnabled:
          type: boolean
        taxId:
          type:
            - 'null'
            - string
        credits:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        lowCreditsThreshold:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        autoTopUpCredits:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        paymentMethodType:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PaymentMethodType'
        paymentMethodClue:
          type:
            - 'null'
            - string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        message:
          type: string
    Address:
      required:
        - country
        - region
        - place
        - postalCode
        - subdivision
        - streetName
        - streetNumber
      type: object
      properties:
        country:
          type: string
        region:
          type:
            - 'null'
            - string
        place:
          type:
            - 'null'
            - string
        postalCode:
          type:
            - 'null'
            - string
        subdivision:
          type:
            - 'null'
            - string
        streetName:
          type:
            - 'null'
            - string
        streetNumber:
          type:
            - 'null'
            - string
    CultureInfo: {}
    PaymentPlan:
      enum:
        - 1
        - 2
        - 3
      type: integer
      x-enumDescriptions:
        - Manual
        - Automatic
        - PostPaid
    PaymentMethodType:
      type: integer
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````